com.io7m.jcanephora.core

## Enum JCGLFramebufferBlitBuffer

- java.lang.Object
- - java.lang.Enum<JCGLFramebufferBlitBuffer>
  - - com.io7m.jcanephora.core.JCGLFramebufferBlitBuffer

- All Implemented Interfaces:
    Serializable, Comparable<JCGLFramebufferBlitBuffer>

      public enum JCGLFramebufferBlitBuffer
      extends Enum<JCGLFramebufferBlitBuffer>

  The buffers that will be included in framebuffer blit operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRAMEBUFFER_BLIT_BUFFER_COLOR` Include the color buffer in framebuffer blit operations.
    `FRAMEBUFFER_BLIT_BUFFER_DEPTH` Include the depth buffer in framebuffer blit operations.
    `FRAMEBUFFER_BLIT_BUFFER_STENCIL` Include the stencil buffer in framebuffer blit operations.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLFramebufferBlitBuffer` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLFramebufferBlitBuffer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRAMEBUFFER_BLIT_BUFFER_COLOR

          public static final JCGLFramebufferBlitBuffer FRAMEBUFFER_BLIT_BUFFER_COLOR

      Include the color buffer in framebuffer blit operations.

    - #### FRAMEBUFFER_BLIT_BUFFER_DEPTH

          public static final JCGLFramebufferBlitBuffer FRAMEBUFFER_BLIT_BUFFER_DEPTH

      Include the depth buffer in framebuffer blit operations.

    - #### FRAMEBUFFER_BLIT_BUFFER_STENCIL

          public static final JCGLFramebufferBlitBuffer FRAMEBUFFER_BLIT_BUFFER_STENCIL

      Include the stencil buffer in framebuffer blit operations.

  - ### Method Detail

    - #### values

          public static JCGLFramebufferBlitBuffer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLFramebufferBlitBuffer c : JCGLFramebufferBlitBuffer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLFramebufferBlitBuffer valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com